Fleet Configure Backup

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/databases/actions/bulkConfigureBackup

Configures multiple databases to backup to the specified destination media. If the selected destination is an Oracle Zero Data Loss Recovery Appliance, then you must enable the ZDLRA Management Pack on the Recovery Appliance to use this API.

Request

Header Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Bulk Config Backup Details.
Show Source
Nested Schema : Discriminator: destinationMediaType
Type: object
Discriminator: destinationMediaType

Discriminator Values

Contains details of the backup configuration.
Match One Schema
Show Source
Nested Schema : ociMediaSettings
Type: array
Details of Oracle Cloud Infrastructure settings to which the databases will be configured to send backups.
Show Source
Nested Schema : recoveryApplianceMediaSettings
Type: array
Details of Recovery Appliances to which the databases will be configured to send backups.
Show Source
Nested Schema : Discriminator: type
Type: object
Discriminator: type

Discriminator Values

Specifies schedule of the deployment procedure.
Match One Schema
Show Source
Nested Schema : targetList
Type: array
Contains details of database targets that will be configured to send backups.
Show Source
Nested Schema : ConfigBackupDetailsOCI
Type: object
Configure Backup Details for Oracle Cloud Infrastructure.
Show Source
Nested Schema : BulkConfigBackupDetailsRA
Type: object
Bulk Configure Backup Details for Recovery Appliance.
Show Source
Nested Schema : advanced
Type: object
Advanced parameters.
Show Source
  • Period of time, in days or years, after which backups are moved from standard Object Storage to Archive Storage. The default is 0 days.
    Example: 25 days
  • Whether backups must be automatically moved from standard Object Storage buckets to Archive Storage. The default value is FALSE. Set this parameter to TRUE to enable automatic archival of backups.
    Example: true
  • Specifies if the Enterprise Manager configuration deployment procedure has to process one database at a time or in parallel.
    Example: true
  • installerArgs
    Additional arguments to be specified while invoking the Oracle Cloud Infrastructure installer to configure database backup to Oracle Cloud.
  • Number of SBT channels to set in database RMAN settings for Oracle Cloud Infrastructure backup.
    Example: 1
  • Proxy host used while downloading the Oracle Cloud Infrastructure backup module on the database target host.
  • Proxy port used while downloading the Oracle Cloud Infrastructure backup module on the database target host.
  • Period of time, in hours, for which backups that were restored from Archive Storage to standard Object Storage are retained in the Object Storage bucket. The default is 48 hours.
    Example: 24 hours
  • Specifies if databases that are already configured to backup to the specified destination media should be skipped.
    Example: true
Nested Schema : installerArgs
Type: array
Additional arguments to be specified while invoking the Oracle Cloud Infrastructure installer to configure database backup to Oracle Cloud.
Show Source
Example:
[
    "-newRSAKeyPair true",
    "-libPlatform linux64"
]
Nested Schema : advanced
Type: object
Advanced parameters.
Show Source
  • Number of SBT channels to set in database RMAN settings for Oracle Cloud Infrastructure backup.
    Example: 1
Nested Schema : backupModuleParameters
Type: object
Backup module related parameters.
Show Source
Nested Schema : walletParameters
Type: object
Wallet related parameters.
Show Source
  • Specifies if the WALLET_ROOT database initialization parameter has be set.
    Example: false
  • Specifies if the required environment variables (ORACLE_HOME, ORACLE_BASE, DB_UNIQUE_NAME, ORACLE_UNQNAME) should be updated in Cluster Ready Services (CRS) via the SRVCTL command.
    Example: false
  • Specifies if the SQLNET.WALLET_LOCATION has to be updated.
    Example: false
  • Wallet location.
    Example: $ORACLE_HOME/dbs/wallet
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
  • Override connect descriptor.
    Example: (DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=example01-vip.us.oracle.com)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=example02-vip.us.oracle.com)(PORT=1521)))(CONNECT_DATA=(SERVICE_NAME=exapl)))
  • Allowed Values: [ "TCP", "TCPS" ]
    Protocol that will be used to configure databases to send backups to Recovery Appliance. Default is TCPS, if the Recovery Appliance is configured in either the TLS only mode or DUAL mode. If not, TCP.
    Example: TCP
  • Recovery Appliance target name.
    Example: RA19000
  • Recovery Appliance target type.
    Example: oracle_dblra
  • Recovery Appliance media settings index. [1-16] are the allowed indexes.
    Example: 1
  • Virtual private catalog user name.
    Example: bkpUser1
Nested Schema : ScheduleImmediately
Type: object
Schedule immediately.
Show Source
Nested Schema : ScheduleLater
Type: object
Schedule later.
Show Source
Nested Schema : Discriminator: repeatFrequency
Type: object
Discriminator: repeatFrequency

Discriminator Values

Repeating schedule.
Match All
Repeating schedule.
Show Source
Match One Schema
Show Source
Nested Schema : ScheduleRepeatingBase
Type: object
Repeating schedule.
Show Source
Nested Schema : ScheduleWeekly
Type: object
Repeat value for repeat frequency - weekly.
Show Source
Nested Schema : ScheduleMonthly
Type: object
Repeat value for repeat frequency - monthly.
Show Source
Nested Schema : ScheduleYearly
Type: object
Repeat value for repeat frequency - yearly.
Show Source
Nested Schema : ScheduleInterval
Type: object
Repeat value for repeat frequency - interval.
Show Source
Nested Schema : days
Type: array
Days of the week.
Show Source
  • Allowed Values: [ 1, 2, 3, 4, 5, 6, 7 ]
    Days of the week, Sunday is 1, Monday is 2 etc.
Example:
1,4
Nested Schema : days
Type: array
Repeat value for monthly.
Show Source
  • Day number, int -1, 1..5 representing which day number. -1 represents LAST day.
Example:
1,30,31
Nested Schema : months
Type: array
Repeat value for yearly.
Show Source
  • Month number, int 1, 2, 3.. representing months Januaray, February, March etc.
Example:
1,3
Nested Schema : items
Type: object
Show Source
  • Alternate override connect descriptor.
    Example: (DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=example01-vip.us.oracle.com)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=example02-vip.us.oracle.com)(PORT=1521)))(CONNECT_DATA=(SERVICE_NAME=exapl)))
  • Alternate Recovery Appliance media settings index.
    Example: 2
  • Database credentials used to connect to the database.
    Example: NAMED:NC_DB1:SYSMAN
  • Host credentials that are operating system credentials used to perform database backup and recovery operations.
    Example: NAMED:NC_VMUSER:SYSMAN
  • Specifies if the latest backup module has to be pushed from the Software Library and installed in the database Oracle home or backup module location if specified.
    Example: false
  • Oracle Cloud Infrastructure media settings index.
    Example: 1
  • Backup and Recovery Continuity override connect descriptor.
    Example: (DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=example01-vip.us.oracle.com)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=example02-vip.us.oracle.com)(PORT=1521)))(CONNECT_DATA=(SERVICE_NAME=exapl)))
  • Override connect descriptor.
    Example: (DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=example01-vip.us.oracle.com)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=example02-vip.us.oracle.com)(PORT=1521)))(CONNECT_DATA=(SERVICE_NAME=exapl)))
  • Number of SBT channels to set in database RMAN settings for the backup.
    Example: 1
  • Allowed Values: [ "TCP", "TCPS" ]
    Protocol that will be used to configure databases to send backups to Recovery Appliance. Default is TCPS, if the Recovery Appliance is configured in either the TLS only mode or DUAL mode. If not, TCP.
    Example: TCP
  • Common virtual private catalog user name.
    Example: bkpUser1
  • Recovery Appliance media settings index.
    Example: 1
  • Database target name.
    Example: DB19000
  • Database target type.
    Example: oracle_database
Examples

Back to Top

Response

Supported Media Types

202 Response

Execution details of the deployment procedure submitted.
Headers
  • Status of the deployment procedure submitted can be viewed in this location.
Body ()
Root Schema : BulkConfigureBackupDatabase
Type: object
Status of operation submitted.
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden. The user is forbidden to perform the requested operation
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top